import 'package:flutter/material.dart';
import 'package:fotsporquiz/entities/player.dart';
import 'package:fotsporquiz/entities/post.dart';

import '../entities/question.dart';
import '../entities/quiz.dart';

class GameProvider extends ChangeNotifier {
  Quiz _quiz = Quiz(-1, -1, '', []); // empty quiz, id = -1
  Player _player = Player(-1, '', -1, '');
  String _code = '';

  // Getters
  Quiz get quiz => _quiz;
  Player get player => _player;
  String get code => _code;

  // Setters
  setQuiz(Quiz quiz) {
    _quiz = quiz;
    notifyListeners();
  }

  void setPostOpened(Post p) {
    for (Post post in _quiz.posts) {
      if (post.id == p.id) {
        post.isAnswered = true;
      }
    }
    notifyListeners();
  }

  void setPlayer(Player player) {
    _player = player;
    notifyListeners();
  }

  void setScore(int score) {
    _player.score = score;
    notifyListeners();
  }

  void setNickname(String nickname) {
    player.nickname = nickname;
    notifyListeners();
  }

  setCode(String code) {
    _code = code;
    notifyListeners();
  }

  void reset() {
    setQuiz(_quiz);
    setPlayer(_player);
    setCode(_code);
    notifyListeners();
  }
}
