import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:fotsporquiz/screens/Question_screen.dart';

import '../entities/post.dart';

class PostIntroductionScreen extends StatelessWidget {
  final Post post;

  PostIntroductionScreen(this.post);

  bool shouldPop = true;

  @override
  Widget build(BuildContext context) {
    SystemChrome.setPreferredOrientations([
      DeviceOrientation.portraitUp,
      DeviceOrientation.portraitDown,
    ]);

    return WillPopScope(
        onWillPop: () async {
          return shouldPop;
        },
        child: Scaffold(
          appBar: AppBar(
            title: Text('Postintroduksjon'),
            centerTitle: true,
            automaticallyImplyLeading: false,
            elevation: 8,
            flexibleSpace: Container(
              decoration: const BoxDecoration(
                gradient: LinearGradient(
                  colors: [Color.fromRGBO(186, 220, 91, 1), Colors.blueGrey],
                ),
              ),
            ),
          ),
          body: Center(
            child: Padding(
              padding:
                  const EdgeInsets.symmetric(horizontal: 20.0, vertical: 15),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  const Spacer(flex: 1),
                  Text(post.description,
                      style: Theme.of(context).textTheme.headline6!.copyWith(
                            color: Colors.black,
                            fontWeight: FontWeight.bold,
                          )),
                  const Spacer(flex: 1),
                  InkWell(
                    onTap: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                          builder: (context) => QuestionScreen(post),
                        ),
                      );
                    },
                    child: Container(
                        width: double.infinity,
                        alignment: Alignment.center,
                        padding: const EdgeInsets.all(20.0 * 0.75), //15
                        decoration: const BoxDecoration(
                          gradient: LinearGradient(
                              colors: [
                                Color.fromRGBO(186, 220, 91, 1),
                                Colors.blueGrey,
                              ], //Fotspor color
                              begin: Alignment.centerLeft,
                              end: Alignment.centerRight),
                          borderRadius: BorderRadius.all(
                            Radius.circular(12),
                          ),
                        ),
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            const Icon(Icons.play_arrow, color: Colors.white),
                            Text(
                              " Start",
                              style: Theme.of(context)
                                  .textTheme
                                  .button!
                                  .copyWith(color: Colors.white),
                            ),
                          ],
                        )),
                  ),
                  const Spacer(flex: 2),
                ],
              ),
            ),
          ),
        ));
  }
}
