import '../entities/post.dart';
import '../entities/question.dart';
import '../entities/quiz.dart';
import '../entities/gameCode.dart';
import '../mock/gameCodeDatabase.dart';
import '../mock/quizDatabase.dart';

// This check would be done in the backend, but is here for easier testing
class GameCodeService {
  // Fetches all gameCodes from the database
  List<GameCode> getAllGameCode() {
    return gameCodes;
  }

  // Fetches a specific quiz from the database
  Quiz? getGameCodeQuiz(String code) {
    Quiz? quiz;

    for (GameCode gc in gameCodes) {
      if (gc.code == code) {
        int quizId = gc.quizId;

        for (int j = 0; j <= allQuizes.length; j++) {
          if (allQuizes[j].id == quizId) {
            quiz = allQuizes[j];
            break;
          }
        }
      }
    }
    return quiz;
  }

  // Checks if a gameCode exists in the database
  bool gameCodeExist(String code) {
    List<GameCode> gameCodes = getAllGameCode();
    bool exist = false;

    for (GameCode gc in gameCodes) {
      if (gc.code == code) {
        exist = true;
      }
    }
    return exist;
  }
}

GameCodeService db = GameCodeService();

class QuizService {
  // Fetches a quiz from the database
  fetchQuiz(String gameCode) {
    late Quiz? gameQuiz;

    if (db.gameCodeExist(gameCode)) {
      gameQuiz = db.getGameCodeQuiz(gameCode);
    } else {
      gameQuiz = null;
    }

    return gameQuiz;
  }

  // Counts the amount of questions in the quiz
  int countQuestions(Quiz quiz) {
    int count = 0;
    for (Post post in quiz.posts) {
      for (Question question in post.questions) {
        count++;
      }
    }
    return count;
  }
}
