import 'dart:io';

import 'package:flutter/material.dart';

class AnswerOption extends StatefulWidget {
  final String answerText;
  final bool rightAnswer;
  final VoidCallback selectHandler;

  AnswerOption(this.answerText, this.rightAnswer, this.selectHandler);

  @override
  State<AnswerOption> createState() => _AnswerOptionState();
}

class _AnswerOptionState extends State<AnswerOption> {
  Color _color = Colors.black;

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {

    return SizedBox(
      width: double.infinity,
      height: 65,
      child: Padding(
        padding: const EdgeInsets.all(8),
        child: GestureDetector(
          onTap: (() => {
            setState(() {
              if (widget.rightAnswer) {
                _color = Colors.green;
              }
              else {
                _color = Colors.red;
              }

            }),
            Future.delayed(const Duration(seconds: 1), () => setState(() => _color = Colors.black)),
            widget.selectHandler.call(),

          }),
          child: Container(
            decoration: BoxDecoration(
                color: _color,
                border: Border.all(
                ),
                borderRadius: const BorderRadius.all(Radius.circular(12.0))
            ),
            height: 50.0,
            width: double.infinity,
            alignment: Alignment.center,

            child: Text(
              widget.answerText,
              style: const TextStyle(
                fontSize: 18.0,
                fontWeight: FontWeight.w600,
                color: Colors.white,
              ),
            ),
          ),
        ),
      ),
    );
  }
}