import 'package:flutter/material.dart';
import 'package:fotsporquiz/providers/quiz_provider.dart';

class Result extends StatelessWidget {
  final GameProvider provider;
  final VoidCallback updating;
  final VoidCallback mapReturn;

  Result(this.provider, this.updating, this.mapReturn);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const Text(
          'Din score er nå:',
          style: TextStyle(fontSize: 25),
        ),
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: Text('${provider.player.score}',
              style: const TextStyle(fontSize: 50)),
        ),
        SizedBox(
            width: double.infinity,
            height: 100,
            child: Padding(
                padding:
                    const EdgeInsets.symmetric(horizontal: 15, vertical: 15),
                child: ElevatedButton(
                  onPressed: () => {
                    updating(),
                    mapReturn(),
                  },
                  child: const Text('Tilbake til kartet!'),
                  style: ButtonStyle(
                    shape: MaterialStateProperty.all<RoundedRectangleBorder>(
                        RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(12.0),
                    )),
                    backgroundColor: MaterialStateProperty.resolveWith<Color>(
                      (Set<MaterialState> states) {
                        if (states.contains(MaterialState.pressed)) {
                          return const Color(0xFFBBDC5B);
                        }
                        return Colors.black87;
                      },
                    ),
                  ),
                )))
      ],
    );
  }
}
